### Virtual Method

# Nautilus MenuProvider get_background_items

#### Declaration [src]

    GList*
    get_background_items (
      NautilusMenuProvider* provider,
      NautilusFileInfo* current_folder
    )

#### Description

No description available.

#### Parameters

`current_folder`

  Type: `NautilusFileInfo`

  The folder for which background items are requested.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `NautilusMenuItem*`

The provided list of `NautilusMenuItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.